Bug 243636 - Can't set gamma per-output in xorg.conf
Can't set gamma per-output in xorg.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-10 23:24 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:16:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gcc -std=c99 -o xrgamma xrgamma.c -lXrandr -lXext -lX11 (759 bytes, text/plain)
2008-08-25 18:06 EDT, Adam Jackson
no flags Details

  None (edit)
Description Bill Nottingham 2007-06-10 23:24:54 EDT
Filing per request.
Comment 4 Bug Zapper 2008-04-04 08:47:24 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Adam Jackson 2008-08-25 18:06:06 EDT
Created attachment 314950 [details]
gcc -std=c99 -o xrgamma xrgamma.c -lXrandr -lXext -lX11

Simple little test case.  Walks through all CRTCs it can find and cycles through the gamma ramp.  Should fade from black to something middling then restore.

Tested on R500, works like a charm.
Comment 6 Bill Nottingham 2008-08-26 11:16:32 EDT
Seems to work with intel. Is this going to be specifiable in xorg.conf somewhere, or storable in gnome-display-properties for specific monitors?
Comment 7 Adam Jackson 2008-10-15 12:20:27 EDT
You should be able to specify it in per-output monitor sections the way you always have done:

Section "Monitor"
    # blah
    Gamma 2.2 # for global gamma, or...
    Gamma 2.2 2.3 2.2 # for r/g/b
EndSection

although to be honest I doubt that we respect that when doing output setup.

g-d-p certainly does seem like the right place for this kind of control.

Removing from the F10 blocker since it's working for some value of working.
Comment 8 Adam Jackson 2008-10-15 12:29:08 EDT
(In reply to comment #7)

> although to be honest I doubt that we respect that when doing output setup.

Certainly doesn't look like we do.  I'll chase that upstream.
Comment 9 Bug Zapper 2008-11-25 20:54:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Adam Jackson 2009-11-06 13:57:29 EST
This is still a thing in rawhide, updating summary.
Comment 11 Bug Zapper 2009-11-16 02:55:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-11-04 08:10:09 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-12-05 02:16:00 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.